%define	name		angelwars
%define	version		0.24
%define release		7mdk
%define summary		Fast-paced, old-fashioned side-scrolling space shooter

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://download.sourceforge.net/angel-wars/%{name}-%{version}.tar.bz2
Source1:	http://download.sourceforge.net/angel-wars/%{name}-media-%{version}.tar.bz2
Source2:	http://download.sourceforge.net/angel-wars/%{name}-docs-%{version}.tar.bz2
Source3:	http://download.sourceforge.net/angel-wars/%{name}-levels-%{version}.tar.bz2
Source4:	%{name}-icons.tar.bz2
Patch0:		%{name}-gcc32.fix.patch.bz2
Patch1:		%{name}-missing-zlib-flag.patch.bz2
License:	Artistic
Url:		http://angel-wars.sourceforge.net/
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libSDL-devel
BuildRequires:	libSDL_mixer-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libsmpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel

%description
Angel Wars is a traditional "space shooter" with an unusual premise--the
player is a rebellious minion of Satan bent on taking the universe over
for himself. It is written in C++ and aims to be as object-oriented and
platform-independent as possible.

%prep
%setup -q -b1 -b2 -b3
%patch0 -p1
%patch1
# remove .xvpics directories
find . -type d -name .xvpics | xargs rm -rf

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
perl -pi -e "s#images/#%{_gamesdatadir}/%{name}/images/#g" %{name}/*.cc
perl -pi -e "s#levels/#%{_gamesdatadir}/%{name}/levels/#g" %{name}/*.cc
perl -pi -e "s#sounds/#%{_gamesdatadir}/%{name}/sounds/#g" %{name}/*.cc
perl -pi -e "s#images/#%{_gamesdatadir}/%{name}/images/#g" %{name}/*/*.txt
perl -pi -e "s#levels/#%{_gamesdatadir}/%{name}/levels/#g" %{name}/*/*.txt
perl -pi -e "s#sounds/#%{_gamesdatadir}/%{name}/sounds/#g" %{name}/*/*.txt
#Really ugly workaround for lousy perl skills(this will be done in another way if I ever
#get the time and skillz;)
perl -pi -e "s#%{_gamesdatadir}/%{name}/images/%{_gamesdatadir}/%{name}#%{_gamesdatadir}/%{name}/images#g" %{name}/levels/*.txt

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir}
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp -a %{name}/images $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp -a %{name}/levels $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp -a %{name}/sounds $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Angel Wars"\
		  longtitle="%{summary}"
EOF

install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE4} icons/16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
tar -xOjf %{SOURCE4} icons/32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
tar -xOjf %{SOURCE4} icons/48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{name}/docs/*
%{_gamesdatadir}/%{name}
%{_gamesbindir}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Sun Mar 23 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.24-7mdk
- removed lurking .xvpics directories
- zlib patch

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.24-6mdk
- rebuild for glibc and rpm

* Tue Nov 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.24-5mdk
- from Per yvind Karlsen <peroyvind@delonic.no> 
	- Fixed wrong path caused by lousy perl skills and insomnia;)	  (from Charles A. Edwards <eslrahc@bellsouth.net>)

* Fri Nov 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.24-4mdk
- Per yvind Karlsen <peroyvind@delonic.no>: change License to Artistic

* Fri Nov 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.24-3mdk
- drop unapplied patch
- fix URL

* Thu Nov 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.24-2mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- doc {name}/docs -> {name}/docs/*

* Thu Nov 14 2002 Per yvind Karlsen <peroyvind@delonic.no> 0.24-1mdk
- Initial release
